local FOLDER_NAME, private = ...
local L = LibStub("AceLocale-3.0"):GetLocale(FOLDER_NAME)

local vanhides = {
    ["id"] = { 6740, 6471, 7286, 7392, 2934, 783, 2318, 2319, 4232, 4234, 4235, 8167, 4304, 8169, 8154, 8165, 8170, 8171, 15412, 15415, 15417, 15419, 15408, 15416, 15410, 15414, 17012 },
    ["itype"] = { 1, 1, 1, 1, 5, 2, 3, 3, 2, 3, 2, 1, 3, 2, 1, 4, 3, 2, 4, 4, 3, 3, 1, 4, 5, 4, 3 },
    ["strings"] = { L["Deviate"], L["Perfect Deviate"], L["Black Whelp"], L["Green Whelp"], L["Ruined Leather Scraps"], L["Light"], L["Light"], L["Medium"], L["Medium"], L["Heavy"], L["Heavy"], L["Turtle"], L["Thick"], L["Thick"], L["Scorpid"], L["Worn"], L["Rugged"], L["Rugged"], L["Green"], L["Blue"], L["Devilsaur"], L["Warbear"], L["Heavy Scorpid"], L["Black"], L["Scale of Onyxia"], L["Red"], L["Core"] },
    ["short"] = { L["S_Deviate"], L["S_Perfect Deviate"], L["S_Black Whelp"], L["S_Green Whelp"], L["S_Ruined Leather Scraps"], L["S_Light"], L["S_Light"], L["S_Medium"], L["S_Medium"], L["S_Heavy"], L["S_Heavy"], L["S_Turtle"], L["S_Thick"], L["S_Thick"], L["S_Scorpid"], L["S_Worn"], L["S_Rugged"], L["S_Rugged"], L["S_Green"], L["S_Blue"], L["S_Devilsaur"], L["S_Warbear"], L["S_Heavy Scorpid"], L["S_Black"], L["S_Scale of Onyxia"], L["S_Red"], L["S_Core"] },
    ["color"] = { "d8bfd8", "d8bfd8", "c0c0c0", "90ee90", "bc8f8f", "cd853f", "cd853f", "deb887", "deb887", "f4a460", "f4a460", "7cfc00", "f0e68c", "f0e68c", "d8bfd8", "e0ffff", "ffdead", "ffdead", "90ee90", "1e90ff", "8fbc8f", "cd853f", "ffe4e1", "c0c0c0", "b0c4de", "dc143c", "e9967a" }
}
local bchides = {
    ["id"] = { 25649, 21887, 112180, 25699, 112181, 25700, 112179, 25708, 112184, 29539, 112185, 29547, 112183, 29548, 112182, 25707 },
    ["itype"] = { 5, 3, 5, 3, 5, 1, 5, 3, 5, 1, 5, 1, 5, 4, 5, 2 },
    ["strings"] = { L["Knothide Leather Scraps"], L["Knothide"], L["Patch of Crystal Infused Leather"], L["Crystal Infused"], L["Fel Scale Fragment"], L["Fel"], L["Patch of Thick Clefthoof Leather"], L["Thick Clefthoof"], L["Cobra Scale Fragment"], L["Cobra"], L["Wind Scale Fragment"], L["Wind"], L["Nether Dragonscale Fragment"], L["Nether"], L["Patch of Fel Hide"], L["Fel"] },
    ["short"] = { L["S_Knothide Leather Scraps"], L["S_Knothide"], L["S_Patch of Crystal Infused Leather"], L["S_Crystal Infused"], L["S_Fel Scale Fragment"], L["S_Fel"], L["S_Patch of Thick Clefthoof Leather"], L["S_Thick Clefthoof"], L["S_Cobra Scale Fragment"], L["S_Cobra"], L["S_Wind Scale Fragment"], L["S_Wind"], L["S_Nether Dragonscale Fragment"], L["S_Nether"], L["S_Patch of Fel Hide"], L["S_Fel"] },
    ["color"] = { "ffe4c4", "ffe4c4", "7fffd4", "7fffd4", "90ee90", "90ee90", "d2b48c", "d2b48c", "f5fffa", "f5fffa", "add8e6", "add8e6", "40e0d0", "40e0d0", "90ee90", "90ee90" }
}
local lkhides = {
    ["id"] = { 33567, 33568, 112177, 38558, 44128, 112158, 38557, 112178, 38561 },
    ["itype"] = { 5, 3, 5, 5, 5, 5, 4, 5, 1 },
    ["strings"] = { L["Borean Leather Scraps"], L["Borean"], L["Nerubian Chitin Fragment"], L["Nerubian"], L["Artic Fur"], L["Icy Dragonscale Fragment"], L["Icy"], L["Jormungar Scale Fragment"], L["Jormungar"] },
    ["short"] = { L["S_Borean Leather Scraps"], L["S_Borean"], L["S_Nerubian Chitin Fragment"], L["S_Nerubian"], L["S_Artic Fur"], L["S_Icy Dragonscale Fragment"], L["S_Icy"], L["S_Jormungar Scale Fragment"], L["S_Jormungar"] },
    ["color"] = { "deb887", "deb887", "dda0dd", "dda0dd", "7fffd4", "afeeee", "afeeee", "e0ffff", "e0ffff" }
}
local catahides = {
    ["id"] = { 52977, 52976, 112156, 52979, 112155, 52982 },
    ["itype"] = { 5, 3, 5, 4, 5, 1 },
    ["strings"] = { L["Savage Leather Scraps"], L["Savage"], L["Blackened Dragonscale Fragment"], L["Blackened"], L["Deepsea Scale Fragment"], L["Deepsea"] },
    ["short"] = { L["S_Savage Leather Scraps"], L["S_Savage"], L["S_Blackened Dragonscale Fragment"], L["S_Blackened"], L["S_Deepsea Scale Fragment"], L["S_Deepsea"] },
    ["color"] = { "f4a460", "f4a460", "dcdcdc", "dcdcdc", "20b2aa", "20b2aa" }
}
local mophides = {
    ["id"] = { 72120, 72162, 112157, 79101, 72163, 98617 },
    ["itype"] = { 3, 3, 5, 1, 2, 2 },
    ["strings"] = { L["Exotic"], L["Sha-Touched"], L["Prismatic Scale Fragment"], L["Prismatic"], L["Magnificent"], L["Hardened Magnificent"] },
    ["short"] = { L["S_Exotic"], L["S_Sha-Touched"], L["S_Prismatic Scale Fragment"], L["S_Prismatic"], L["S_Magnificent"], L["S_Hardened Magnificent"] },
    ["color"] = { "d2b48c", "cd853f", "add8e6", "add8e6", "f4a460", "cc6600" }
}
local wodhides = {
    ["id"] = { 110610, 110609, 110611 },
    ["itype"] = { 5, 2, 3 },
    ["strings"] = { L["Raw Beast Hide Scraps"], L["Raw Beast"], L["Burnished"] },
    ["short"] = { L["S_Raw Beast Hide Scraps"], L["S_Raw Beast"], L["S_Burnished"] },
    ["color"] = { "cd853f", "cd853f", "b0674e" }
}

private.vanhides = vanhides
private.bchides = bchides
private.lkhides = lkhides
private.catahides = catahides
private.mophides = mophides
private.wodhides = wodhides